# -*- Mode: Python; tab-width: 4 -*-
#
# Copyright (C) 2000 Gianluigi Tiesi <sherpya@netfarm.it>
# Copyright (C) 2000 NetFarm S.r.l.  [http://www.netfarm.it]
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any later
# version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTIBILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
# ======================================================================

import ZSwGenerator

def initialize(context): 
    """Initialize the product."""
    
    try: 
        context.registerClass(
            ZSwGenerator.ZSwGenerator,                   
            constructors = (                 
                ZSwGenerator.manage_addSwGeneratorForm, 
                ZSwGenerator.manage_addZSwGenerator),    
            icon = 'www/zswgen.gif'                                             
            )
        context.registerBaseClass(ZSwGenerator.ZSwGenerator)
        context.registerHelp()
        context.registerHelpTitle('ZSwGenerator Help')

    except:
        import sys, traceback, string
        type, val, tb = sys.exc_info()
        sys.stderr.write(string.join(
                      traceback.format_exception(type, val, tb), ''))
        del type, val, tb
